Support » Theme: PHLOX » Widgets screen > TypeError: DependencyManager is not a constructor

  • After I have installed Phlox 2.5.9 I get the following JS error:
    TypeError: DependencyManager is not a constructor

    Now I can’t add, edit or remove my widgets anymore.

    Can you solve this problem? Thank you.

Viewing 2 replies - 1 through 2 (of 2 total)
  • @tim_nl I’ve managed to change my widgets using the customize panel at /wp-admin/customize.php

    • This reply was modified 1 month, 2 weeks ago by S. Padilha.

    @spadilha, I have temporary disabled the code as shown below:

    var manager = new DependencyManager( $wrapper, {
    	fieldContainer : '.aux-element-field',
    	fieldMapper    : auxDependencyFieldMapper,
    	observerMapper : auxDependencyFieldMapper
    } , deps );
    
    manager.setup();

    You will find it in /themes/phlox/auxin/js/scripts.js on row 1977.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Widgets screen > TypeError: DependencyManager is not a constructor’ is closed to new replies.